Skip to main content
POST
/
trades
/
quote
/
{quoteId}
Accept Quote
curl --request POST \
  --url https://api.obiex.finance/v1/trades/quote/{quoteId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{}'
{
  "message": "Ok",
  "data": {
    "id": "024a29e9-ab89-46c5-bac1-64ba292946da",
    "createdAt": "2026-03-27T10:25:59.722Z",
    "updatedAt": "2026-03-27T10:25:59.722Z",
    "active": true,
    "reference": "c1774607154115",
    "rate": 1426,
    "side": "SELL",
    "amount": 10,
    "amountReceived": 14260,
    "sourceDollarRate": 0.99,
    "targetDollarRate": 0.0007,
    "userId": "51xxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "pairId": "3bd8ace6-dc63-49a8-b91a-46131dfdf0f2",
    "dollarValue": 9.9,
    "pair": {
      "id": "3bd8ace6-dc63-49a8-b91a-46131dfdf0f2",
      "createdAt": "2021-11-22T10:16:51.874Z",
      "updatedAt": "2026-03-21T16:16:34.609Z",
      "active": true,
      "sourceId": "55456608-8c9f-499d-99b4-15ceafef3212",
      "targetId": "de3423cb-e81c-464f-8bb4-d9da15a37e8b",
      "isSellable": true,
      "isBuyable": true,
      "isLeverage": false,
      "enableP2PTrading": true,
      "isLimitOrderEnabled": true,
      "source": {
        "id": "55456608-8c9f-499d-99b4-15ceafef3212",
        "createdAt": "2021-11-22T10:16:50.727Z",
        "updatedAt": "2024-03-03T08:16:24.743Z",
        "active": true,
        "name": "Tether",
        "code": "USDT",
        "exchangeCode": null,
        "leverageBaseCurrencyCode": null,
        "leverageMultipler": null,
        "receivable": true,
        "withdrawable": true,
        "transferrable": true,
        "minimumWithdrawal": 5,
        "minimumDeposit": 3,
        "maximumDecimalPlaces": 4,
        "withdrawalFee": 0,
        "receiveFee": 0,
        "type": "STABLE",
        "leverageType": null,
        "receiveFeeType": "PERCENTAGE",
        "withdrawalFeeType": "PERCENTAGE",
        "maximumWithdrawalFee": 0,
        "allowUtilityPayments": true,
        "allowUnconfirmedTrading": true,
        "allowVirtualCardTransactions": true,
        "enableWithdrawalApproval": false
      },
      "target": {
        "id": "de3423cb-e81c-464f-8bb4-d9da15a37e8b",
        "createdAt": "2021-11-22T10:16:50.862Z",
        "updatedAt": "2024-10-26T13:40:22.599Z",
        "active": true,
        "name": "Naira",
        "code": "NGNX",
        "exchangeCode": null,
        "leverageBaseCurrencyCode": null,
        "leverageMultipler": null,
        "receivable": true,
        "withdrawable": true,
        "transferrable": true,
        "minimumWithdrawal": 0,
        "minimumDeposit": 0,
        "maximumDecimalPlaces": 2,
        "withdrawalFee": 50,
        "receiveFee": 100,
        "type": "FIAT",
        "leverageType": null,
        "receiveFeeType": "FLAT",
        "withdrawalFeeType": "FLAT",
        "maximumWithdrawalFee": 0,
        "allowUtilityPayments": true,
        "allowUnconfirmedTrading": true,
        "allowVirtualCardTransactions": false,
        "enableWithdrawalApproval": false
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

quoteId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Accept Quote

The response is of type object.